Run cryptographic software on STM32-discovery board

The scheme is optimized version of saber copied from ``pqm4``
places. The goal is simply to have a starting point for Cortex-M4
development.

### Connecting the board

To use it connect micro-usb and UART to STM32-discovery board. The micro-usb
allows programming over st-link. After connected the ``lsusb`` should display
something like ``STMicroelectronics ST-LINK/V2.1``.

The UART provides an standard output. Connect the `TX`/`TXD` cable to the `PA3`
pin on the board, and connect `RX`/`RXD` to `PA2`.

### Pre-requists

Requires libopencm3. The ``libopemcm3`` is an open-source version of the firmware for many of
Cortex-M0/M3/M4 development kits. See https://libopencm3.org/.

Requires stlink. This is used to flash the board. For compilation instructions look here:
https://github.com/stlink-org/stlink/blob/master/doc/compiling.md

### To compile

```
cd 3rd/libopencm3; make

```

With that one can now compile the solution

```
cmake -S . -B build -DCMAKE_TOOLCHAIN_FILE=toolchain.cmake
cmake --build build
cmake --build build --target flash
```
